<?php

namespace App\Http\Controllers\admin;
use Illuminate\Support\Facades\Auth;
use App\Http\Controllers\Controller;
use Illuminate\Support\Facades\Hash;
use App\rol;
use App\user;
use Illuminate\Http\Request;

class RolController extends Controller
{
    
    public function index()
    {
        $admins = user::all()->where('user_id', auth::user()->id)->where('type', 'staff')->sortbydesc('id');
        $rols = rol::all()->where('user_id', auth::user()->id)->sortbydesc('id');
        $listRoles = roles();
        return view( 'admin.settings.admins.index', compact('admins','rols','listRoles')); 
    }

    
    public function store(Request $request)
    {

        
            if ($request->password != $request->password_confirmation) {
                return back()->with('error', msg('pass_not_eq'));
            }
          
            $request->validate([
                'password' => ['required', 'min:8', 'confirmed'],
                'email' => ['required', 'string', 'email', 'max:255', 'unique:users'],
                'name' => ['required'],
                'role' => ['required'],
            ]);

            $user = new user;
            $user->password = Hash::make($request->password);
            $user->user_id = auth::user()->id;
            $user->name = $request->name;
            $user->tele = $request->tele;
            $user->avatar = $request->avatar;
            $user->email = $request->email;
            $user->type = 'staff';
            $user->role = $request->role;
            $user->new_user = 1;
            $user->save();
            return back()->with('succ', msg('add'));
        
    }
    public function admin_update(Request $request)
    {
            if(!empty($request->password)){
                if ($request->password != $request->password_confirmation) {
                    return back()->with('error', msg('pass_not_eq'));
                }
            }
            
            $validate = [
                'name' => ['required'],
                'role' => ['required'],
            ];
            
            $user =  user::find($request->id);
            if($user->email != $request->email){
                $validate['email'] = ['required', 'string', 'email', 'max:255', 'unique:users'];
            }
            $request->validate($validate);

            $user =  user::find($request->id);
            if(!empty($request->password)){
                $user->password = Hash::make($request->password);
            }

            $user->name = $request->name;
            $user->tele = $request->tele;
            $user->email = $request->email;
            $user->role = $request->role;
            $user->save();
            return back()->with('succ', msg('update'));
        
    }
    
    public function add_roles(Request $request)
    {
        $reg = ['_token','role_name'];
        $roles = [];
        foreach ($request->all() as $key => $value) {
            if( !in_array($key ,$reg) ){
                $roles[$key] = $value;
            }
        }

        $role = new rol;
        $role->user_id = auth::user()->id;
        $role->name = $request->role_name;
        $role->rols = json_encode($roles);
        $role->save();
        return back()->with('succ', msg('add'));
        
    }

    public function update_roles(Request $request)
    {
        $reg = ['_token','role_name'];
        $roles = [];
        foreach ($request->all() as $key => $value) {
            if( !in_array($key ,$reg) ){
                $roles[$key] = $value;
            }
        }

        $role =  rol::find($request->id);
        if(auth::user()->id == $role->user_id){
            $role->name = $request->role_name;
            $role->rols = json_encode($roles);
            $role->save();
        }else{
            return abort(419);
        }
        
        return back()->with('succ', msg('add'));
        
    }


    

    public function delete_admin($id)
    {
        $user = user::find($id);
        if(auth::user()->id == $user->user_id){
            $user->delete();
        }else{
            return abort(419);
        }
        return back()->with('succ', msg('delete'));
    }


    public function delete_roles($id)
    {
        $role = rol::find($id);
        if(auth::user()->id == $role->user_id){
            $link = user::where('role',$role->id)->first();
            if($link){
                return back()->with('error', msg('no_delete'));
            }
            $role->delete();
        }else{
            return abort(419);
        }
        return back()->with('succ', msg('delete'));
    }


    

    
}
