<?php

namespace App\Http\Controllers\admin;
use Illuminate\Support\Facades\Auth;
use App\Http\Controllers\Controller;
use Illuminate\Support\Facades\Hash;
use App\setting;

use Illuminate\Http\Request;

class SettingController extends Controller
{
    
    public function setting($param = null){
        $data = setting::where('user_id', auth::user()->id)->first();
        if($param === null){
            return $data;
        }else{
            return $data->$param;
        }
    }

    public function index()
    {
        $info = $this->setting('general_info');
        $info = json_decode($info , true);
        return view('admin.settings.general.index' , compact('info'));
    }

    public function security_index()
    {
        $info = $this->setting('security');
        $info = json_decode($info , true);
        return view('admin.settings.security.index' , compact('info'));
    }

    public function shopping_index()
    {
        $info = $this->setting('shopping');
        $info = json_decode($info , true);
        $infoInp = $this->setting('inputs');
        $infoInp = json_decode($infoInp , true);
        return view('admin.settings.shopping.index' , compact('info','infoInp'));
    }

    public function payments()
    {
        $info = $this->setting('payment_method');
        $info = json_decode($info , true);
        return view('admin.settings.payment.index' , compact('info'));
    }

    public function shipping_index()
    {
        $info = $this->setting('shipping');
        $info = json_decode($info , true);
       
        return view('admin.settings.shipping.index' , compact('info'));
    }

    public function taxes_index()
    {
        $info = json_decode($this->setting('taxes') , true);
        $infoZones = json_decode($this->setting('zones') , true);
        return view('admin.settings.taxes.index' , compact('info','infoZones'));
    }

    public function notif_index()
    {
        $info = json_decode($this->setting('notifications') , true);
        return view('admin.settings.notifications.index' , compact('info'));
    }

    public function domain_index()
    {
        $info = json_decode($this->setting('domains') , true);
        return view('admin.settings.domain.index' , compact('info'));
    }
    
    public function save(Request $request)
    {
        $request->validate([
            'name' => 'required',
            'email' => 'required',
            'tele' => 'required',
        ]);
        $user = auth::user();
        $user->email = $request->email;
        $user->name = $request->name;
        $user->tele = $request->tele;
        $user->avatar = $request->avatar;
        $user->store_name = $request->store_name;
        $user->save();

        $setting = setting::where('user_id' , auth::user()->id)->first();

        $data = [
            'email_custm'=>$request->email_custm,
            'curr'=>$request->curr,
            'code_order'=>$request->code_order,
            'project_name'=>$request->project_name,
            'tele2'=>$request->tele2,
            'adress'=>$request->adress,
            'city'=>$request->city,
            'zip'=>$request->zip,
            'country'=>$request->country,
            'rc'=>$request->rc,
        ];
        $data = json_encode($data);
        $setting->general_info = $data;
        $setting->save();
        return back()->with('succ', msg('update'));
    }


    public function security_save(Request $request)
    {
        if(!empty($request->old)){
            if (!Hash::check($request->old, auth::user()->password)) {
                return back()->with('error', msg('pass_not'));
            }
          
            $request->validate([
                'password' => ['required', 'min:8', 'confirmed'],
                'old' => ['required','min:8'],
            ]);

            $user = auth::user();
            $user->password = Hash::make($request->password);
            $user->save();
        }
        
        $setting = setting::where('user_id' , auth::user()->id)->first();
        $data = [
            'accept'=> $request->accept
        ];
        $setting->security = json_encode($data);
        $setting->save();
        return back()->with('succ', msg('update'));
        
    }

   

    
    public function shopping_save(Request $request)
    {

        $data = $this->setting();
        
        $dataInp = [
            'cond_order' => $request->cond_order,
            'save_info_in_device' => $request->save_info_in_device,
            'max_order' => $request->max_order,
            'num_order' => $request->num_order,
        ];
        $data->shopping = json_encode($dataInp);
        $data->save();
        return back()->with('succ',  msg('update'));
        
    }

    
    public function add_input(Request $request)
    {
        $request->validate([
            'name' => 'required',
            'title' => 'required',
            'req' => 'required',
        ]);
       $data = $this->setting();
       $inputs = json_decode($this->setting('inputs'), true);

       if($inputs === null){
        $inputs = [];
        $inputs [$request->name] = [
            'title' => $request->title,
            'req' => $request->req,
        ];
       }else{
        $inputs [$request->name] = [
            'title' => $request->title,
            'req' => $request->req,
        ];
       }

       $data->inputs = json_encode($inputs);
       $data->save();

       return back()->with('succ',  msg('add'));

    }

    public function delete_input($name)
    {
        $inputs = json_decode($this->setting('inputs') , true);
        unset($inputs[$name]);
        $inputs = json_encode($inputs);
        $data = $this->setting();
        $data->inputs = $inputs;
        $data->save();
        return back()->with('succ', msg('delete'));
    }


    public function shipping_add(Request $request)
    {
        $request->validate([
            'name' => 'required',
        ]);

       $data = $this->setting();
       $shipping = json_decode($this->setting('shipping'), true);

       if($shipping === null){
        $shipping = [];
        $shipping [$request->name] = [
            'price' => $request->price,
            'free' => $request->free,
        ];
       }else{
        $shipping [$request->name] = [
            'price' => $request->price,
            'free' => $request->free,
        ];
       }

       $data->shipping = json_encode($shipping);
       $data->save();

       return back()->with('succ', msg('add'));

    }
    
    public function shipping_delete($name)
    {
        $shipping = json_decode($this->setting('shipping') , true);
        unset($shipping[$name]);
        $shipping = json_encode($shipping);
        $data = $this->setting();
        $data->shipping = $shipping;
        $data->save();
        return back()->with('succ', msg('delete'));
    }
   
    

 
    public function setPayment($type,$statu)
    {
        $arrayStatu = ['active' => 'active' , 'inactive'=>'inactive'];

        if(in_array($statu, $arrayStatu)):

        $payment = json_decode($this->setting('payment_method') , true);
        if($payment === null){
            $payment = [];
            $payment[$type] = $statu;
        }else{
            $payment[$type] = $statu;
        }
        $data = $this->setting();
        $data->payment_method = json_encode($payment);
        $data->save();
        return back()->with('succ', msg('update'));

        else:
            return abort(419);
        endif;
    }


    public function settingPayment(Request $request)
    {
        $arrayType = ['cod' => 'cod' , 'bank'=>'bank'];

        if(in_array($request->type, $arrayType)):

        $payment = json_decode($this->setting('payment_method') , true);
        if($payment === null){
            $payment = [];
            $payment[$request->type.'-setting'] = $request->data;
        }else{
            $payment[$request->type.'-setting'] = $request->data;
        }
        $data = $this->setting();
        $data->payment_method = json_encode($payment);
        $data->save();
        return back()->with('succ', msg('update'));

        else:
            return abort(419);
        endif;
    }
    
    

    public function taxes_save(Request $request)
    {

        $data = $this->setting();
        $dataTax = [
            'n_tax' => $request->n_tax,
            'in_customer' => $request->in_customer,
            'in_invoice' => $request->in_invoice,
        ];
        $data->taxes = json_encode($dataTax);
        $data->save();
        return back()->with('succ',  msg('update'));
        
    }

    public function taxes_add(Request $request)
    {

        $request->validate([
            'name' => 'required',
        ]);

       $data = $this->setting();
       $taxes = json_decode($this->setting('zones'), true);
       
       if($taxes === null){
            $taxes = [];
            $taxes[$request->name] = [
                'value' => $request->value,
            ];
            
       }else{
            $taxes[$request->name] = [
                'value' => $request->value,
            ];
       }
       $data->zones = json_encode($taxes);
       $data->save();

       return back()->with('succ', msg('add'));

    }

    public function taxes_delete($name)
    {
        $zones = json_decode($this->setting('zones') , true);
        unset($zones[$name]);
        $zones = json_encode($zones);
        $data = $this->setting();
        $data->zones = $zones;
        $data->save();
        return back()->with('succ', msg('delete'));
    }

    public function notif_save(Request $request)
    {
        $dataNotif = $this->setting();
        $notif = json_decode($this->setting('notifications') , true);
        
            $data = [];
            foreach ($request->all() as $key => $value) {
               if($key != '_token'){
                $data[$key] = $value;
               }
            }
   
        
        $dataNotif->notifications = json_encode($data);
        $dataNotif->save();
        return back()->with('succ', msg('update'));
    }


    public function domain_add(Request $request)
    {

        $request->validate([
            'url' => 'required',
        ]);

       $data = $this->setting();
       $domains = json_decode($this->setting('domains'), true);
       
       if($domains === null){
        
            $domains = [];
            $domains[$request->url] = [
                'id' => rand(15212,4545554454),
                'statu' => 0,
                'date' => date('Y-m-d h:s:i'),
            ];
       
       }else{
        if(count($domains) < 1):
            $domains[$request->url] = [
                'id' => rand(15212,4545554454),
                'statu' => 0,
                'date' => date('Y-m-d h:s:i'),
            ];
        else:
            return back()->with('error', msg('en_domain'));
        endif;
       }
       $data->domains = json_encode($domains);
       $data->save();

       return back()->with('succ', msg('add'));
        
       
    }

   

    
 
}
