<?php

namespace App\Http\Controllers\admin;
use Illuminate\Support\Facades\Auth;
use App\Http\Controllers\Controller;

use App\product;
use App\stock;
use Illuminate\Http\Request;

class StockController extends Controller
{
    
   
    public function index()
    {
        $data = product::all()->where('user_id', auth::user()->id)->sortbydesc('id');
        return view('admin.products_mj.index', compact('data'));
    }

    public function create(Request $request)
    {
        $request->validate([
            'name' => 'required|unique:stocks',
            'admin' => 'required|unique:stocks',
            'tele' => 'required',
            'city' => 'required',
            'adress' => 'required',
        ]);

        $d = new stock;
        $d->user_id = auth::user()->id;
        $d->name = $request->name;
        $d->admin = $request->admin;
        $d->tele = $request->tele;
        $d->city = $request->city;
        $d->adress = $request->adress;
        $d->save();

        return redirect('admin/stock')->with('succ', 'ssd');

    }

    public function save(Request $request)
    {
        $request->validate([
            'name' => 'required|unique:stocks',
            'admin' => 'required|unique:stocks',
            'tele' => 'required',
            'city' => 'required',
            'adress' => 'required',
        ]);

        $d = stock::find($request->id);

        if($d->user_id == auth::user()->id){
            
            $d->name = $request->name;
            $d->admin = $request->admin;
            $d->tele = $request->tele;
            $d->city = $request->city;
            $d->adress = $request->adress;
            $d->save();

        }else{
            abort(419);
        }
        

        return back()->with('succ', 'ssd');

    }

    public function delete(Request $request)
    {
        $data = stock::find($request->id);
        if($data->user_id == auth::user()->id){
            $data->delete();
            return back()->with('succ', 'delete');
        }else{
            abort(419);
        }
    }

    public function add_products_to_my_store(Request $request)
    {
        dd($request->all());
    }

    

}
