<?php
namespace App\Http\Controllers\admin;
use Illuminate\Support\Facades\Auth;
use App\Http\Controllers\Controller;

use App\customer;
use Illuminate\Http\Request;

class CustomerController extends Controller
{
    public function index()
    {
        $data = customer::all()->where('user_id', auth::user()->id)->sortbydesc('id');
        return view('admin.customer.index', compact('data'));
    }
    public function create_index($id)
    {

        $data = page::find($id);
        return view('admin.store.pages.update', compact('data'));
    }
    
    public function create(Request $request)
    {

        $request->validate([
            'name' => 'required',
            'content' => 'required',
        ]);

        $d = new page;
        $d->user_id = auth::user()->id;
        $d->name = $request->name;
        $d->content = $request->content;
        $d->statu = $request->statu;

        $seo = [
            'slug' => $request->slug ,
            'm_k' => $request->m_k ,
            'desc' => $request->desc ,
            
        ];
           
        $d->seo = json_encode($seo);
        $d->save();

        return redirect('admin/store/pages')->with('succ', msg('add'));

    }

    public function save(Request $request)
    {
        
        $request->validate([
            'name' => 'required',
            'content' => 'required',
        ]);

        $d =  page::find($request->id);
        $d->name = $request->name;
        $d->content = $request->content;
        $d->statu = $request->statu;

        $seo = [
            'slug' => $request->slug ,
            'm_k' => $request->m_k ,
            'desc' => $request->desc ,
            
        ];
           
        $d->seo = json_encode($seo);
        $d->save();

        return redirect('admin/store/pages')->with('succ', msg('update'));

    }

    public function delete(Request $request)
    {
        $data = page::find($request->id);
        if($data->user_id == auth::user()->id){
            $data->delete();
            return back()->with('succ', msg('delete'));
        }else{
            abort(419);
        }
    }
}
