<?php

namespace App\Http\Controllers\admin;
use Illuminate\Support\Facades\Auth;
use App\Http\Controllers\Controller;
use Illuminate\Support\Facades\Hash;
use Illuminate\Http\Request;
use Response;
use Illuminate\Support\Facades\Http;

class HomeController extends Controller
{
    
    public function save_design(Request $request)
    {
        $design = \App\user::where('id' , 1)->first();
        $design->design = json_encode($request->data);
        $design->save();
        return back()->with('succ', msg('update'));
    }
    public function index()
    {
        return view('admin.index');
    }

    // comments =================================
    public function create_comment(Request $request)
    {
        $comment = new \App\comment;
        $comment->user_id = auth::user()->id;
        $comment->name = $request->name;
        $comment->stars = $request->stars;
        $comment->comment = $request->comment;
        $comment->save(); 
        return back()->with('succ', msg('add'));
    }

    public function update_comment(Request $request)
    {
        $comment =  \App\comment::find($request->id);
        $comment->name = $request->name;
        $comment->stars = $request->stars;
        $comment->comment = $request->comment;
        $comment->save(); 
        return back()->with('succ', msg('update'));
    }

    public function delete_comment(Request $request)
    {
        $data = \App\comment::find($request->id);
        if($data->user_id == auth::user()->id){
            $data->delete();
            return back()->with('succ', msg('delete'));
        }else{
            abort(419);
        }
    }
    // comments =================================



    // affiliate =================================
    public function create_aff(Request $request)
    {
        $comment = new \App\user;
        $comment->name = $request->name;
        $comment->email = $request->email;
        $comment->tele = $request->tele;
        $comment->password = Hash::make($request->password);
        $comment->type = 'aff';
        $comment->user_id = auth::user()->id;
        $comment->code_affiliate = $this->generateRandomString(8);
        $comment->save(); 
        return back()->with('succ', msg('add'));
    }
    public function generateRandomString($length = 10)
    {
        $characters = '123456789abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ1234567891234567891234567898912345612345678912';
        $charactersLength = strlen($characters);
        $randomString = '';
        for ($i = 0; $i < $length; $i++) {
            $randomString .= $characters[random_int(0, $charactersLength - 1)];
        }
        return $randomString;
    }
    public function update_aff(Request $request)
    {
        $comment =  \App\user::find($request->id);
        $comment->name = $request->name;
        $comment->email = $request->email;
        $comment->tele = $request->tele;
        if(!empty($request->password)){
            $comment->password = Hash::make($request->password);
        }
        $comment->save(); 
        return back()->with('succ', msg('update'));
    }

    public function delete_aff(Request $request)
    {
        $data = \App\user::find($request->id);
        if($data->user_id == auth::user()->id){
            $data->delete();
            return back()->with('succ', msg('delete'));
        }else{
            abort(419);
        }
    }
    // comments =================================






     // affiliate =================================
     public function create_page(Request $request)
     {
         $comment = new \App\page;
         $comment->name = $request->name;
         $comment->content = $request->content;
         $comment->user_id = auth::user()->id;
         $comment->save(); 
         return back()->with('succ', msg('add'));
     }
     
     public function update_page(Request $request)
     {
         $comment =  \App\page::find($request->id);
         $comment->name = $request->name;
         $comment->content = $request->content;
         $comment->save(); 
         return back()->with('succ', msg('update'));
     }
 
     public function delete_page(Request $request)
     {
         $data = \App\page::find($request->id);
         if($data->user_id == auth::user()->id){
             $data->delete();
             return back()->with('succ', msg('delete'));
         }else{
             abort(419);
         }
     }
     // comments =================================
}
