<?php

if(!function_exists('template_name')){
    function template_name(){
            return 'default';
    }
}

if(!function_exists('wallet')){
    function wallet(){
        return 78410.0;
    }
}
 
if(!function_exists('sett')){
    function sett(){
        $data = \App\setting::where('user_id',auth::user()->id)->first();
        $data = json_decode($data->general_info,true);
        return $data;
    }
}
if(!function_exists('tele')){
    function tele(){
        return '966508566833';
    }
}


if(!function_exists('price')){
    function price(){
        return '100';
    }
}

if(!function_exists('currency')){
    function currency(){
        return 'ر.س';
    }
}

if(!function_exists('format_number')){
    function format_number(string $number){

        $def_numbers = [
            '0' => '&#1632;',
            '1' => '&#1633;',
            '2' => '&#1634;',
            '3' => '&#1635;',
            '4' => '&#1636;',
            '5' => '&#1637;',
            '6' => '&#1638;',
            '7' => '&#1639;',
            '8' => '&#1640;',
            '9' => '&#1641;',
            '.' => ',',
        ];
        $new_number = '';
        for ($i=0; $i < strlen($number); $i++) { 
            $new_number .= $def_numbers[$number[$i]];
        }
        return $new_number;
    }
}

if(!function_exists('msg')){
    function msg($type){
       
        $msg = [
            'add' => 'تم اضافة العنصر بنجاح',
            'delete' => 'تم حذف العنصر بنجاح',
            'update' => 'تم حفظ المعلومات بنجاح',
            'pass_not' => 'كلمة المرور غير  صحيحة',
            'pass_not_eq' => 'كلمة المرور غير  متطابقة',
            'en_domain' => 'لايمكنك اضافة ضومين اخر',
            'no_delete' => 'لا يمكنك حذف هذا العنصر',
            'template_choose'=> 'تم اختيار القالب بنجاح',
            'delete_cart' => 'تم حذف المنتج من السلة بنجاح'
        ];
        return $msg[$type];
    }
}

if(!function_exists('app_plan')){
    function app_plan($id_plan){
        $count = 0;
        foreach (app::all() as $key => $value) {
            if(in_array($id_plan, $value['plan'])){
                $count +=1;
            }
        }
        return $count;
    }
}


if(!function_exists('statu')){
    function statu($type,$data){
        
        switch ($type) {
            case 'product':
                $statu = [
                    'on' =>     '<div class="s-active">
                                <ion-icon name="ellipse-outline" style="margin-bottom: -3px"></ion-icon>
                                نشط
                                </div>',
                    'off' =>    '<div class="s-inactive">
                                <ion-icon name="ellipse-outline" style="margin-bottom: -3px"></ion-icon>
                                غير نشط
                                </div>',
                ];
                break;

                case 'page':
                    $statu = [
                        'on' =>     '<div class="s-active">
                                    <ion-icon name="ellipse-outline" style="margin-bottom: -3px"></ion-icon>
                                    نشط
                                    </div>',
                        'off' =>    '<div class="s-inactive">
                                    <ion-icon name="ellipse-outline" style="margin-bottom: -3px"></ion-icon>
                                    غير نشط
                                    </div>',
                    ];
                    break;
            
            default:
                # code...
                break;
        }
        return $statu[$data];
    }
}


if(!function_exists('roles')){
    function roles($role = null){
        $roles = [
            'dashboard'=>[],
            'analytics'=>[],
            'orders' => [
                'orders_create' , 'orders_delete' , 'orders_update'
            ],
            'products' => [
                'products_create' , 'products_delete' , 'products_update'
            ],
            'categories' => [
                'categories_create' , 'categories_delete' , 'categories_update'
            ],
            'stock' => [
                'stock_create' , 'stock_delete' , 'stock_update'
            ],
        ];
        if($role === null){
            return $roles;
        }else{
            return $roles[$role];
        }
        
    }
}



if(!function_exists('display_images')){
    function display_images(){

        $path = 'uploads/'.store_id();
        File::makeDirectory($path, $mode = 0777, true, true);

        $working_dir = getcwd();
        $img_dir = $working_dir . "/uploads/".store_id();
        chdir($img_dir);
        $files = glob("*.{jpg,jpeg,png,gif,JPG,JPEG,PNG,GIF,webp}", GLOB_BRACE );
        chdir($working_dir);
        return $files;
    }
}


if(!function_exists('send_msg')){
    function send_msg($from,$to,$subject,$content){
        return '';
    }
}


if(!function_exists('my_uploads_path')){
    function my_uploads_path(){
        return url('uploads/'.store_id());
    }
}

if(!function_exists('price_system')){
    function price_system($org,$off,$ratio = null){
        if(!empty($off)){
            $end_price = $off.' '.currency().' - <s style="color:gray;">'.$org.' '.currency().'</s>';
        }else{
            $end_price = $org.' '.currency();
        }
        if($ratio !== null):
            $r1 = $org - $off;
            $r2 = $r1 * 100 / $org;
            $ratio = '-'.ceil($r2).'%';
            return $ratio;
        else:
            return $end_price;
        endif;
    }
}

if(!function_exists('store_id')){
    function store_id(){
        return auth::user()->id;
    }
}

if(!function_exists('n_invoice')){
    function n_invoice($number){

        switch ($number) {
            case strlen($number) == 1:
                $n_invoice = '0000'.$number;
                break;

            case strlen($number) == 2 :
                $n_invoice = '000'.$number;
                break;

            case strlen($number) == 3 :
                $n_invoice = '00'.$number;
                break;
                
            case strlen($number) == 4 :
                $n_invoice = '0'.$number;
                break;  

            case strlen($number) == 5:
                $n_invoice = $number;
                break;   

            default:
                # code...
                break;
        }
        return $n_invoice;
    }
}


