<?php

use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/
Route::group(['prefix'=>'admin' , 'middleware' => ['auth','check']], function(){
    Route::get('/', 'admin\HomeController@index');
    Route::get('/marketing', function(){
        return view('admin.marketing.index');
    })->name('marketing');

 // gallary routes =============================
    Route::group(['prefix'=>'gallary' ], function(){
        Route::post('/upload-img', 'admin\gallary@upload');
        // Route::get('/create', function () {
        //     return view('admin.categories.create');
        // })->name('categories.create');

        Route::get('/delete/{img}', 'admin\gallary@delete');

        // Route::post('/create', 'admin\CategorieController@create')->name('categories.create_new');
        // Route::post('/save', 'admin\CategorieController@save')->name('categories.save');
        // Route::post('/delete', 'admin\CategorieController@delete')->name('categories.delete');
    });
    // gallary routes =============================
    Route::get('/customers', function(){
        return view('admin.customers.index');
    })->name('customers');
    
    Route::get('/comments', function(){
        return view('admin.comments.index');
    })->name('comments');


    Route::get('/projects', function(){
        return view('admin.projects.index');
    })->name('projects');


    Route::get('/design', function(){
        return view('admin.design.index');
    })->name('design');


    Route::get('/template', function(){
        return view('admin.template.index');
    })->name('template');


    Route::get('/affiliate', function(){
        return view('admin.aff.index');
    })->name('affiliate');

    Route::get('/pages', function(){
        return view('admin.pages.index');
    })->name('pages');


    Route::get('/settings', function(){
        return view('admin.settings.index');
    })->name('settings');

    Route::post('/save_design', 'admin\HomeController@save_design')->name('save.design');
    
    Route::group(['prefix'=>'projects' ], function(){

        Route::get('/create', function () {
            return view('admin.products.create');
        })->name('products.create');


        Route::post('/add', 'admin\ProductController@create')->name('products.save');
        Route::get('/update/{id}', 'admin\ProductController@update')->name('product.update');
        Route::post('/save', 'admin\ProductController@save')->name('product.save_data');
        Route::post('/delete', 'admin\ProductController@delete')->name('product.delete');
        
    });




    Route::post('/create_comment', 'admin\HomeController@create_comment')->name('create.comment');
    Route::post('/update_comment', 'admin\HomeController@update_comment')->name('update.comment');
    Route::post('/delete_comment', 'admin\HomeController@delete_comment')->name('delete.comment');


    Route::post('/create_affiliate', 'admin\HomeController@create_aff')->name('create.aff');
    Route::post('/update_affiliate', 'admin\HomeController@update_aff')->name('update.aff');
    Route::post('/delete_affiliate', 'admin\HomeController@delete_aff')->name('delete.aff');


    Route::post('/create_page', 'admin\HomeController@create_page')->name('create.page');
    Route::post('/update_page', 'admin\HomeController@update_page')->name('update.page');
    Route::post('/delete_page', 'admin\HomeController@delete_page')->name('delete.page');


    
    
});
Route::group(['prefix'=>'adminx' , 'middleware' => ['auth','check']], function(){


    Route::get('/', 'admin\HomeController@index');

    Route::get('/welcome', function () {
        return view('admin.welcome');
    });
    Route::get('/analytics', function () {
        return view('admin.analytics');
    })->name('analytics');

    Route::get('/support', function () {
        return view('admin.support.index');
    })->name('support');


    // orders routes =============================
    Route::group(['prefix'=>'orders' ], function(){
        Route::get('', 'admin\orderController@index');
        Route::get('delete', 'admin\orderController@delete')->name('order.delete');
        Route::get('detail/{id}', 'admin\orderController@detail')->name('order.detail');
    });
    // orders routes [END]=============================



    // payments routes =============================
    Route::group(['prefix'=>'payments' ], function(){
        Route::get('', 'admin\PaymentController@index')->name('payments');
    });
    // payments routes [END]=============================

    // invoices routes =============================
    Route::group(['prefix'=>'invoices' ], function(){
        Route::get('', 'admin\InvoiceController@index')->name('invoices');
    });
    // invoices routes [END]=============================

    // banners  routes =============================
    Route::group(['prefix'=>'banners' ], function(){
        Route::get('', 'admin\BannerController@index')->name('banners');
        Route::post('create', 'admin\BannerController@store')->name('banners.store');
        Route::post('delete', 'admin\BannerController@delete')->name('banners.delete');
        Route::post('edit', 'admin\BannerController@edit')->name('banners.edit');
    });
    // banners routes [END]=============================


    // products routes =============================
    Route::group(['prefix'=>'products' ], function(){

        Route::get('/', 'admin\ProductController@index')->name('products');

        Route::get('/create', function () {
            return view('admin.products.create');
        })->name('products.create');


        Route::post('/add', 'admin\ProductController@create')->name('products.save');
        Route::get('/update/{id}', 'admin\ProductController@update')->name('product.update');
        Route::post('/save', 'admin\ProductController@save')->name('product.save_data');
        Route::post('/delete', 'admin\ProductController@delete')->name('product.delete');
        
    });
    // products routes [END] =============================


    // Import product from ALIEXPRESS routes =============================
    Route::group(['prefix'=>'import' ], function(){

        Route::get('/product', function () {
            return view('admin.products.import.index');
        })->name('import.product.aliexpress');
        Route::post('/save', 'admin\ProductController@import_save')->name('import.products.save');
        Route::post('/import_get_data', 'admin\ProductController@import_get_data')->name('import.product.get_data');
    });
    // Import product from ALIEXPRESS routes [END] =============================

    

    // products_mj routes =============================
    Route::group(['prefix'=>'our_products' ], function(){

        Route::get('/', 'admin\StockController@index')->name('our_product');
        Route::post('/add_products_to_my_store', 'admin\StockController@add_products_to_my_store')->name('add_products_to_my_store');
        Route::post('/create', 'admin\StockController@create')->name('stock.create');
        Route::post('/save', 'admin\StockController@save')->name('stock.save');
        Route::post('/delete', 'admin\StockController@delete')->name('stock.delete');
        
    });
    // products_mj routes [END] =============================



    // customer routes =============================
    Route::group(['prefix'=>'customer' ], function(){

        Route::get('','admin\CustomerController@index')->name('customer');

        Route::get('/create', function () {
            return view('admin.customer.create');
        })->name('customer.create');


        Route::get('/update/{id}', 'admin\CategorieController@create_index')->name('customer.update');

        Route::post('/create', 'admin\CategorieController@create')->name('customer.create_new');
        Route::post('/save', 'admin\CategorieController@save')->name('customer.save');
        Route::post('/delete', 'admin\CategorieController@delete')->name('customer.delete');

    });
    // customer routes [END] =============================



    // Apps routes =============================
    Route::group(['prefix'=>'applications' ], function(){
        Route::get('/', function () {
            return view('admin.apps.index');
        })->name('apps');
        
    });
    // Apps routes [END] =============================


   
    // discount routes =============================
    Route::group(['prefix'=>'discount' ], function(){
        Route::get('/', 'admin\DiscountController@index')->name('discount');

        Route::get('/create', function () {
            return view('admin.discounts.create');
        })->name('discount.create');

        Route::get('/edit/{id}', 'admin\DiscountController@edit')->name('discount.edit');
        Route::post('/update', 'admin\DiscountController@update')->name('discount.update');
        Route::post('/store', 'admin\DiscountController@store')->name('discount.store');
        Route::post('/delete', 'admin\DiscountController@delete')->name('discount.delete');
        
    });
    // discount routes [END] =============================
 



    Route::get('/orders/details', function () {
        return view('admin.orders.details');
    });

    



   
    // categories routes =============================
    Route::group(['prefix'=>'categories' ], function(){
        Route::get('/', 'admin\CategorieController@index')->name('categories');
        Route::get('/create', function () {
            return view('admin.categories.create');
        })->name('categories.create');

        Route::get('/update/{id}', 'admin\CategorieController@create_index')->name('categories.update');

        Route::post('/create', 'admin\CategorieController@create')->name('categories.create_new');
        Route::post('/save', 'admin\CategorieController@save')->name('categories.save');
        Route::post('/delete', 'admin\CategorieController@delete')->name('categories.delete');
    });
    // categories routes =============================



    // gallary routes =============================
    Route::group(['prefix'=>'gallary' ], function(){
        Route::post('/upload-img', 'admin\gallary@upload');
        // Route::get('/create', function () {
        //     return view('admin.categories.create');
        // })->name('categories.create');

        Route::get('/delete/{img}', 'admin\gallary@delete');

        // Route::post('/create', 'admin\CategorieController@create')->name('categories.create_new');
        // Route::post('/save', 'admin\CategorieController@save')->name('categories.save');
        // Route::post('/delete', 'admin\CategorieController@delete')->name('categories.delete');
    });
    // gallary routes =============================



    
    
    // store- routes =============================
    Route::group(['prefix'=>'store' ], function(){

        Route::get('/themes', 'customization\customization@index')->name('store.themes');

        Route::post('setTemplate', 'customization\customization@setTemplate')->name('setTemplate');

        
        

        Route::get('/pages', 'admin\PageController@index')->name('store.pages');

        Route::get('/pages/create', function () {
            return view('admin.store.pages.create');
        })->name('pages.add_new');

        Route::post('pages/create', 'admin\PageController@create')->name('pages.store_page');
        Route::get('/update/{id}', 'admin\PageController@create_index')->name('pages.update');
        Route::post('/save', 'admin\PageController@save')->name('pages.save');
        Route::post('/delete_page', 'admin\PageController@delete')->name('pages.delete');



        Route::get('/menus', 'admin\MenuController@index')->name('store.menus');
        
        Route::get('/menus/create', function () {
            return view('admin.store.menus.create');
        })->name('store.menus.create');

        Route::get('/menus/create_menu/{id}', 'admin\MenuController@create_menu')->name('menu.add_menu_blade');
        Route::post('/create', 'admin\MenuController@create_first')->name('menu.create_first');
        Route::post('/save', 'admin\MenuController@save')->name('menu.save');
        
        Route::post('/delete', 'admin\MenuController@delete')->name('menu.delete');
        Route::post('/submenu_delete', 'admin\MenuController@submenu_delete')->name('submenu.delete');
        
        Route::post('/create_new_menu', 'admin\MenuController@create_new_menu')->name('menu.create_new_menu');

    });
    // store- routes [END] =============================


    // dropshipping  routes =============================
    Route::group(['prefix'=>'dropshipping' ], function(){
        Route::get('', function(){
            return view('admin.dropshipping.index');
        })->name('dropshipping');
    });
    // dropshipping routes [END]=============================


    // shipping  routes =============================
    Route::group(['prefix'=>'shipping' ], function(){
        Route::get('', function(){
            return view('admin.shipping.index');
        })->name('shipping');
    });
    // shipping routes [END]=============================


    // Settings routes =============================
    Route::group(['prefix'=>'settings' ], function(){

        Route::get('/', function () {
            return view('admin.settings.index');
        })->name('settings');

        Route::get('/general', 'admin\SettingController@index')->name('settings.general');
        Route::post('/general/save', 'admin\SettingController@save')->name('settings.save');

       

        Route::get('/taxes', 'admin\SettingController@taxes_index')->name('settings.taxes');
        Route::post('/taxes/save', 'admin\SettingController@taxes_save')->name('settings.taxes.save');
        Route::get('/taxes/delete/{name}', 'admin\SettingController@taxes_delete')->name('settings.taxes.delete');
        Route::post('/taxes/new', 'admin\SettingController@taxes_add')->name('settings.taxes.add');
        

        
 

        Route::get('/admins', 'admin\RolController@index')->name('settings.admins');
        Route::post('/admins/add', 'admin\RolController@store')->name('settings.admin.add');
        Route::post('/admins/add_roles', 'admin\RolController@add_roles')->name('settings.admin.add_roles');
        Route::post('/admins/update_roles', 'admin\RolController@update_roles')->name('settings.admin.update_roles');
        Route::get('/admins/delete/{id}', 'admin\RolController@delete_roles')->name('settings.admin.role_delete');
        Route::post('/admins/update', 'admin\RolController@admin_update')->name('settings.admin.update');
        Route::get('/admins/admin/{id}', 'admin\RolController@delete_admin')->name('settings.admin.delete_admin');
        

        Route::get('/shopping', 'admin\SettingController@shopping_index')->name('settings.shopping');
        Route::post('/shopping/save', 'admin\SettingController@shopping_save')->name('settings.shopping.save');


        // add inputs ============================
        Route::post('/add_input', 'admin\SettingController@add_input')->name('settings.add_input');
        Route::get('/delete_input/{name}', 'admin\SettingController@delete_input')->name('settings.delete_input');
        // add inputs [END]============================


        
        


        Route::get('/security', 'admin\SettingController@security_index')->name('settings.security');
        Route::post('/security/save', 'admin\SettingController@security_save')->name('settings.security.save');

        Route::get('/payment', 'admin\SettingController@payments')->name('settings.payment');
        // payment method ============================
        Route::get('/setPayment/{type}/{statu}', 'admin\SettingController@setPayment')->name('settings.setPayment');
        Route::post('/setting_payment', 'admin\SettingController@settingPayment')->name('settings.payment.setting');
        // payment method [END]============================

        Route::get('/shipping', 'admin\SettingController@shipping_index')->name('settings.shipping');
        Route::post('/shipping/add', 'admin\SettingController@shipping_add')->name('settings.shipping.add');
        Route::get('/shipping/{name}', 'admin\SettingController@shipping_delete')->name('settings.delete_shopping');
        
        Route::get('/notifications', 'admin\SettingController@notif_index')->name('settings.notifications');
        Route::post('/notifications/save', 'admin\SettingController@notif_save')->name('settings.notifications.save');


        Route::get('/domain', 'admin\SettingController@domain_index')->name('settings.domain');
        Route::post('/domain/add', 'admin\SettingController@domain_add')->name('settings.domain.add');
        Route::post('/domain/delete/{name}', 'admin\SettingController@domain_delete')->name('settings.domain.delete');

        Route::get('/languages', function () {
            return view('admin.settings.languages.index');
        })->name('settings.languages');

        Route::get('/plans', 'admin\PlanController@index')->name('settings.my_plan');
        
    });
    // Settings routes =============================

    Route::get('/wallet', function(){
        return view('admin.wallet.index');
    })->name('wallet');

    Route::get('/wallet/payment', 'admin\HomeController@test')->name('wallet.payment');

});




Auth::routes();

Route::get('/home', 'HomeController@index')->name('home');
